Last Comment Bug 745495 - Crash using screen object from removed iframe
: Crash using screen object from removed iframe
Status: RESOLVED FIXED
[qa+]
: crash, regression, testcase
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- critical (vote)
: mozilla14
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
Depends on:
Blocks: 326633 720799
  Show dependency treegraph
 
Reported: 2012-04-14 17:45 PDT by Jesse Ruderman
Modified: 2012-06-22 07:04 PDT (History)
8 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
verified


Attachments
testcase (crashes Firefox when loaded) (340 bytes, text/html)
2012-04-14 17:45 PDT, Jesse Ruderman
no flags Details
stack trace (11.09 KB, text/plain)
2012-04-14 17:46 PDT, Jesse Ruderman
no flags Details
Patch v1 (1.90 KB, patch)
2012-04-15 04:36 PDT, Mounir Lamouri (:mounir)
bugs: review+
mounir: checkin+
Details | Diff | Splinter Review

Description Jesse Ruderman 2012-04-14 17:45:19 PDT
Probably a regression from bug 720799 based on this line:

#3  0x00000001014af0a3 in nsLayoutUtils::GetDeviceContextForScreenInfo (aWindow=0x0) at layout/base/nsLayoutUtils.cpp:3994
Comment 1 Jesse Ruderman 2012-04-14 17:45:51 PDT
Created attachment 615092 [details]
testcase (crashes Firefox when loaded)
Comment 2 Jesse Ruderman 2012-04-14 17:46:16 PDT
Created attachment 615093 [details]
stack trace

Opt: bp-0aa7875f-3312-4a04-856a-da58c2120415
Comment 3 Scoobidiver (away) 2012-04-14 23:19:10 PDT
On Windows 7: bp-8dfd1391-5ed0-402e-8746-e52972120415
Comment 4 Mounir Lamouri (:mounir) 2012-04-15 04:36:58 PDT
Created attachment 615135 [details] [diff] [review]
Patch v1
Comment 6 Simona B [:simonab] 2012-06-22 07:04:54 PDT
Verified that Firefox 14 beta 8 does not crash when using the test case attached in Comment 1.

Verified on Windows 7, Ubuntu 12.04 and Mac OS X 10.6:
Mozilla/5.0 (Windows NT 6.1; rv:14.0) Gecko/20100101 Firefox/14.0
Mozilla/5.0 (X11; Linux i686; rv:14.0) Gecko/20100101 Firefox/14.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:14.0) Gecko/20100101 Firefox/14.0

Verified also in Socorro and I couldn't find any crash reports with the same signature.

Note You need to log in before you can comment on or make changes to this bug.